Bug 637349 - [abrt] fedora-easy-karma-0-0.7.20100709git561718c8.fc14: fedora-easy-karma:420:wrap_paragraphs_prefix:IndexError: list index out of range
Summary: [abrt] fedora-easy-karma-0-0.7.20100709git561718c8.fc14: fedora-easy-karma:42...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-easy-karma
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Till Maas
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:b35c0ac1
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-25 03:35 UTC by Andre Robatino
Modified: 2011-09-09 00:05 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-11-26 01:16:52 UTC


Attachments (Terms of Use)
File: backtrace (967 bytes, text/plain)
2010-09-25 03:35 UTC, Andre Robatino
no flags Details

Description Andre Robatino 2010-09-25 03:35:37 UTC
abrt version: 1.1.13
architecture: x86_64
cmdline: /usr/bin/python /usr/bin/fedora-easy-karma --fas-username=robatino --installed-max-days=1
component: fedora-easy-karma
executable: /usr/bin/fedora-easy-karma
kernel: 2.6.35.4-28.fc14.x86_64
package: fedora-easy-karma-0-0.7.20100709git561718c8.fc14
reason: fedora-easy-karma:420:wrap_paragraphs_prefix:IndexError: list index out of range
release: Fedora release 14 (Laughlin)
time: 1285385515
uid: 500

backtrace
-----
fedora-easy-karma:420:wrap_paragraphs_prefix:IndexError: list index out of range

Traceback (most recent call last):
  File "/usr/bin/fedora-easy-karma", line 437, in <module>
    FedoraEasyKarma()
  File "/usr/bin/fedora-easy-karma", line 208, in __init__
    print self.bodhi_update_str(update, bodhi_base_url=bc.base_url, width=self.options.wrap_width, wrap_bugs=self.options.wrap_bugs)
  File "/usr/bin/fedora-easy-karma", line 300, in bodhi_update_str
    values["notes"] = "%s\n" % self.wrap_paragraphs_prefix(update["notes"].split("\r\n"), first_prefix="      Notes: ", width=width)
  File "/usr/bin/fedora-easy-karma", line 420, in wrap_paragraphs_prefix
    while paragraphs[-1] == "":
IndexError: list index out of range

Local variables in innermost frame:
first_prefix: '      Notes: '
self: <__main__.FedoraEasyKarma object at 0x1785f10>
paragraphs: []
width: 80
extra_newline: False
subsequent_indent: '           : '
wrapped: []
output: []
first: True

How to reproduce
-----
1. Hit enter to go to the next update, f-e-k crashed.

Comment 1 Andre Robatino 2010-09-25 03:35:39 UTC
Created attachment 449555 [details]
File: backtrace

Comment 2 Andre Robatino 2010-09-25 06:29:37 UTC
Package: fedora-easy-karma-0-0.7.20100709git561718c8.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Hit enter to go to the next update, f-e-k crashed.

Comment 3 Vaclav "sHINOBI" Misek 2010-09-25 10:11:21 UTC
Package: fedora-easy-karma-0-0.7.20100709git561718c8.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. started fedora-easy-karma
2. filled around 10 karmas
3. crash during sending rhythmbox karma

Comment 4 Sven Lankes 2010-09-25 18:38:22 UTC
Package: fedora-easy-karma-0-0.7.20100709git561718c8.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
I used f-e-c to give feedback on a couple of updates when it crashed after skipping an update

Comment 5 Matthias Runge 2010-09-28 10:01:09 UTC
Package: fedora-easy-karma-0-0.7.20100709git561718c8.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. start f-e-k
2. skip many updates by pressing <return>
3.


Comment
-----
last update I saw was selinux-policy-3.9.5-7 and selinux-policy-targeted-3.9.5-7

Comment 6 Fedora Update System 2010-11-22 20:50:48 UTC
fedora-easy-karma-0-0.8.20101122git07665f93.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.8.20101122git07665f93.el5

Comment 7 Fedora Update System 2010-11-22 20:50:56 UTC
fedora-easy-karma-0-0.8.20101122git07665f93.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.8.20101122git07665f93.fc13

Comment 8 Fedora Update System 2010-11-22 20:51:03 UTC
fedora-easy-karma-0-0.8.20101122git07665f93.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.8.20101122git07665f93.fc14

Comment 9 Fedora Update System 2010-11-23 16:53:53 UTC
fedora-easy-karma-0-0.8.20101122git07665f93.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fedora-easy-karma'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.8.20101122git07665f93.el5

Comment 10 Fedora Update System 2010-11-23 18:23:04 UTC
fedora-easy-karma-0-0.10.20101123gitf70e9b6d.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.10.20101123gitf70e9b6d.fc13

Comment 11 Fedora Update System 2010-11-23 18:23:19 UTC
fedora-easy-karma-0-0.10.20101123gitf70e9b6d.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.10.20101123gitf70e9b6d.el5

Comment 12 Fedora Update System 2010-11-23 18:23:33 UTC
fedora-easy-karma-0-0.10.20101123gitf70e9b6d.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.10.20101123gitf70e9b6d.fc14

Comment 13 Fedora Update System 2010-11-26 01:16:43 UTC
fedora-easy-karma-0-0.10.20101123gitf70e9b6d.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-11-27 23:35:54 UTC
fedora-easy-karma-0-0.10.20101123gitf70e9b6d.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2011-05-16 21:15:38 UTC
fedora-easy-karma-0-0.10.20101123gitf70e9b6d.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2011-08-19 18:48:56 UTC
fedora-easy-karma-0-0.12.20110819gitadba3055.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.12.20110819gitadba3055.el5

Comment 17 Fedora Update System 2011-08-19 18:49:14 UTC
fedora-easy-karma-0-0.12.20110819gitadba3055.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.12.20110819gitadba3055.fc15

Comment 18 Fedora Update System 2011-08-19 18:49:31 UTC
fedora-easy-karma-0-0.12.20110819gitadba3055.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.12.20110819gitadba3055.fc16

Comment 19 Fedora Update System 2011-08-19 18:49:50 UTC
fedora-easy-karma-0-0.12.20110819gitadba3055.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.12.20110819gitadba3055.fc14

Comment 20 Fedora Update System 2011-08-19 18:50:06 UTC
fedora-easy-karma-0-0.12.20110819gitadba3055.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.12.20110819gitadba3055.el6

Comment 21 Fedora Update System 2011-08-23 16:25:52 UTC
fedora-easy-karma-0-0.13.20110823gitb0706146.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.13.20110823gitb0706146.el6

Comment 22 Fedora Update System 2011-08-23 16:26:15 UTC
fedora-easy-karma-0-0.13.20110823gitb0706146.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.13.20110823gitb0706146.fc16

Comment 23 Fedora Update System 2011-08-23 16:26:38 UTC
fedora-easy-karma-0-0.13.20110823gitb0706146.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.13.20110823gitb0706146.fc14

Comment 24 Fedora Update System 2011-08-23 16:27:02 UTC
fedora-easy-karma-0-0.13.20110823gitb0706146.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.13.20110823gitb0706146.fc15

Comment 25 Fedora Update System 2011-08-23 16:27:25 UTC
fedora-easy-karma-0-0.13.20110823gitb0706146.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.13.20110823gitb0706146.el5

Comment 26 Fedora Update System 2011-08-24 18:56:12 UTC
fedora-easy-karma-0-0.14.20110824gitb3e2f900.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.14.20110824gitb3e2f900.fc14

Comment 27 Fedora Update System 2011-08-24 18:56:34 UTC
fedora-easy-karma-0-0.14.20110824gitb3e2f900.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.14.20110824gitb3e2f900.fc15

Comment 28 Fedora Update System 2011-08-24 18:56:57 UTC
fedora-easy-karma-0-0.14.20110824gitb3e2f900.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.14.20110824gitb3e2f900.fc16

Comment 29 Fedora Update System 2011-08-25 17:04:12 UTC
fedora-easy-karma-0-0.15.20110825git36efb338.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.15.20110825git36efb338.fc14

Comment 30 Fedora Update System 2011-08-25 17:04:36 UTC
fedora-easy-karma-0-0.15.20110825git36efb338.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.15.20110825git36efb338.fc15

Comment 31 Fedora Update System 2011-08-25 17:04:58 UTC
fedora-easy-karma-0-0.15.20110825git36efb338.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.15.20110825git36efb338.fc16

Comment 32 Fedora Update System 2011-08-30 20:49:05 UTC
fedora-easy-karma-0-0.15.20110825git36efb338.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 33 Fedora Update System 2011-08-31 01:30:00 UTC
fedora-easy-karma-0-0.15.20110825git36efb338.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 34 Fedora Update System 2011-09-07 00:10:34 UTC
fedora-easy-karma-0-0.15.20110825git36efb338.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 35 Fedora Update System 2011-09-09 00:03:11 UTC
fedora-easy-karma-0-0.13.20110823gitb0706146.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 36 Fedora Update System 2011-09-09 00:04:49 UTC
fedora-easy-karma-0-0.13.20110823gitb0706146.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.